# Eigene Stimmung erfassen

`PUT https://{tenant}.stamp.eu/rest/mood`

Store/update the authenticated employee's mood (upsert by date)

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `date` | string | ja |
| `rating` | integer | ja |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.date` | string | ja |
| `data.rating` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 201: Neuer Eintrag angelegt

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.date` | string | ja |
| `data.rating` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: An error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
